Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

datasource_id
string<uuid>
required

Query Parameters

search
string | null

Filter by file name. Not applied when dataslice_id is set.

dataslice_id
string<uuid> | null

Only list the files of this dataslice.

limit
integer
default:100

Items per page. Max 500.

Required range: 1 <= x <= 500
cursor
string | null

Token from a previous page's next_cursor.

Response

Successful Response

results
DatasourceFile · object[]
required

The requested slice of the collection.

limit
integer
required

Items requested per page.

next_cursor
string | null

Opaque token for the next page; absent on the last page.